<html>
<!--    cibl&eacute; par:  choix-ref1.php

		cible:  	../menu.php
 -->

<!-- param&egrave;tre &eacute;mis:        -session_id         le num&eacute;ro de la session

	 param&egrave;tre re&ccedil;evable :  -session_id         le num&eacute;ro de la session
 -->

<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>Gestion des postes</title>
</head>
<body>

<?php 

require("../outils/gui.php");
require("../outils/mise_en_page.php");
require("../outils/session.php");

//V&eacute;rifier si la session est valide.
$Bsession_id = $_GET["Bsession_id"];
verifierSession($Bsession_id);

//V&eacute;rifier les droits de l'utilisateur.
$privilege_base = lirePrivilege($Bsession_id);
if ($privilege_base != 2) 
	die("Vous n'avez pas les droits requis!");


// *****************************************************************************************************
// &eacute;tape 0 *********************************************************************************************
// menu de base ****************************************************************************************
// *****************************************************************************************************

if (empty ($etape))
{
	// liste des postes actifs
	$sql = "select base_poste.num_poste, base_poste.nom, base_poste.compte_budget 
			from base_poste
			where base_poste.actif = 'O'
		 	order by base_poste.compte_budget asc;";

	$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) 
		or die("Ne peut acc&eacute;der &agrave; la table base_poste!<br>".$sql);

	print ("<div align=\"center\"><b><u><font size=\"+2\">Gestion des postes</font></u></b></div>");
	print ("<br><br>");

	print ("<b><u><font size=\"+1\">Liste des postes actifes</font></u></b>");

	print ("<form action=\"ref1postes.php?Bsession_id=".$_GET['Bsession_id']."\" method=\"post\" name=\"ref1postes_o\">
			<input type=\"hidden\" name=\"Bsession_id\" value=".$_GET['Bsession_id'].">
			<input type=\"hidden\" name=\"etape\" value=1>
			<select name=\"num_poste\">");

	while ($row = mysqli_fetch_row($result))
	{
		for ($i = 0; $i < (($___mysqli_tmp = mysqli_num_fields($result)) ? $___mysqli_tmp : false); $i++)
		{
			print("<option value=\"");
			print($row[0]);
			print("\">");
			printf("%s, %s", $row[2],$row[1]);
			$i=$i+3;
			print("</option><br>");
		}
	}

	((mysqli_free_result($result) || (is_object($result) && (get_class($result) == "mysqli_result"))) ? true : false);

	print ("</select>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type=\"submit\" value=\"Consulter\"></form>");

	print ("Cette section permet de s&eacute;lectionner une poste actif dans le menu d&eacute;roulant et d'y apporter 
            des modifications. Chaque &eacute;l&eacute;ment du menu d&eacute;roulant se compose de son nom et de l'abr&eacute;viation de la base. 
			Une fois l'&eacute;l&eacute;ment s&eacute;lectionn&eacute;, cliquez sur \"Consulter\" afin de visualiser et modifier les donn&eacute;es.");

	print("\n\n<hr><br>");

	// liste des postes inactifs

	$sql = "select base_poste.num_poste, base_poste.nom, base_poste.compte_budget 
			from base_poste
			where base_poste.actif = 'N'
		 	order by base_poste.compte_budget asc;";

	$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) 
		or die("Ne peut acc&eacute;der &agrave; la table ref1postes!<br>".$sql);

	$num = mysqli_num_rows($result);

	print ("<b><u><font size=\"+1\">Liste des postes inactifs</font></u></b><br>");

	if (!empty ($num))
	{
		print ("<form action=\"ref1postes.php?Bsession_id=".$_GET['Bsession_id']."\" method=\"post\" name=\"ref1postes_n\">
				<input type=\"hidden\" name=\"Bsession_id\" value=".$_GET['Bsession_id'].">
				<input type=\"hidden\" name=\"etape\" value=1>
				<select name=\"num_poste\">");

		while ($row = mysqli_fetch_row($result))
		{
			for ($i = 0; $i < (($___mysqli_tmp = mysqli_num_fields($result)) ? $___mysqli_tmp : false); $i++)
			{
				print("<option value=\"");
				print($row[0]);
				print("\">");
				printf("%s, %s", $row[2],$row[1]);
				$i=$i+3;
				print("</option><br>");
			}
		}

			
		

		print("</select>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type=\"submit\" value=\"Consulter\"></form><br>");

		print ("Cette section permet de s&eacute;lectionner un poste inactif dans le menu d&eacute;roulant et d'y apporter 
    	        des modifications. Chaque &eacute;l&eacute;ment du menu d&eacute;roulant se compose de son nom et de l'abr&eacute;viation de la base. 
				Une fois l'&eacute;l&eacute;ment s&eacute;lectionn&eacute;, cliquez sur \"Consulter\" afin de visualiser et modifier les donn&eacute;es.");
	}
	else
	{
		print ("Il n'y a aucun poste inactif.");
	}

	((mysqli_free_result($result) || (is_object($result) && (get_class($result) == "mysqli_result"))) ? true : false);

	print("\n\n<hr>");

// pour des nouveeaux postes

    print ("<form action=\"ref1postes.php?Bsession_id=".$_GET['Bsession_id']."\" method=\"post\">");
	print ("<input type=\"hidden\" name=\"Bsession_id\" value=".$_GET['Bsession_id'].">");
	print ("<input type=\"hidden\" name=\"etape\" value=2>");
	print ("<input id=\"frm_nouveau_poste\" type=\"submit\" value=\"Nouveau poste\">");
	print ("</form>");

// bouton de rtour au menu
	print ("<hr>");
	print ("<div align=\"center\">");
    print ("<form action=\"../menu-base.php?Bsession_id=".$_GET['Bsession_id']."\" method=\"post\">");
	print ("<input type=\"hidden\" name=\"Bsession_id\" value=".$_GET['Bsession_id'].">");
	print ("<input id=\"frm_menu\" type=\"submit\" value=\"Retour au menu\">");
	print ("</form></div>");

//	pageDebug("&Eacute;tape 0");
} 

// *****************************************************************************************************
// &eacute;tape 1 *********************************************************************************************
// &eacute;diter un secteur existant **************************************************************************
// *****************************************************************************************************
if ($etape == 1)
	{
	// faire les modifications dans la table base_postes *****************************************
	if (!empty ($mod))
		{
		// modifier le champ nom dans base_postes 
		if (!empty ($nom))
			{
			$sql = "update base_poste
				set base_poste.nom = '$nom',
					base_poste.mis_a_jour = now()
           	    WHERE base_poste.num_poste = '$num_poste';";

			$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die("ne peut faire la modification.<br>".$sql);
			}

		// modifier le champ compte budg&eacute;taire 
		if (!empty ($compte_budget))
			{
			$sql = "update base_poste
				set base_poste.compte_budget = '$compte_budget',
					base_poste.mis_a_jour = now()
           	    WHERE base_poste.num_poste = '$num_poste';";

			$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die("ne peut faire la modification.<br>".$sql);
			}

		// modifier le champ description 
		if (!empty ($description))
			{
			$sql = "update base_poste
				set base_poste.description = '$description',
					base_poste.mis_a_jour = now()
           	    WHERE base_poste.num_poste = '$num_poste';";

			$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die("ne peut faire la modification.<br>".$sql);
			}

		// modifier le champ actif dans base_ref1activites 
		if (!empty ($actif))
			{
			$sql = "update base_poste
				set base_poste.actif = '$actif',
					base_poste.mis_a_jour = now()
           	    WHERE base_poste.num_poste = '$num_poste';";

			$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die("ne peut faire la modification.<br>".$sql);
			}

		// modifier le champ montant 
		if (!empty ($montant))
			{
			$sql = "update base_poste
				set base_poste.montant = '$montant',
					base_poste.mis_a_jour = now()
           	    WHERE base_poste.num_poste = '$num_poste';";

			$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die("ne peut faire la modification.<br>".$sql);
			}

		}

	// remplir les variables ******************************************************************************
	$sql = "SELECT base_poste.nom, base_poste.compte_budget, base_poste.description, 
				   base_poste.actif, base_poste.montant  
    	    FROM base_poste
       	    WHERE base_poste.num_poste = '$num_poste';";
print("NUMPOSTE = $num_poste<br>");
	// Ex&eacute;cute la requ&ecirc;te et mettre les r&eacute;sultats dans $result
	$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) 
		or die ("ne peut lire les donn&eacute;es.<br>".$sql);

	// obtenir le nombre d'enregistrement. 0 si invalide, 1 si valide.
	$num = mysqli_num_rows($result);
print("NUM = $num<br>");
	// met la valeur dans les variables
	if ($num)
		{
		$i = 0;
		$row = mysqli_fetch_row($result);
		$nom = ($row[$i++]);
		$compte_budget = ($row[$i++]);
		$description = ($row[$i++]);
		$actif = ($row[$i++]);
		$montant = ($row[$i]);
		}
	else
		{
		die ("Il y a un probl&egrave;me dans la base de donn&eacute;es !");
		}

	// fait le m&eacute;nage des r&eacute;sultat en m&eacute;moire
	((mysqli_free_result($result) || (is_object($result) && (get_class($result) == "mysqli_result"))) ? true : false);

	// afficher les r&eacute;sultats ****************************************************************************	

	print ("<div align=\"center\"><u><b><font size=\"+2\">Modification de poste</font></b></u></div>");
	print("<p>");

	print("<table width=\"100%\" cellpadding=0 cellspacing=0 border=\"1\"><tr><td>");

	// nom

	print ("<b>Nom du poste:</b>");

	print("</td><td><div align=right>");

	print("<form action=\"ref1postes.php?Bsession_id=".$_GET['Bsession_id']."\" method=\"post\" name=\"mod_nom\"> 
		<input type=\"hidden\" name=\"Bsession_id\" value=".$_GET['Bsession_id'].">
		<input type=\"hidden\" name=\"num_poste\" value=".$num_poste.">
		<input type=\"hidden\" name=\"mod\" value=O>
		<input type=\"hidden\" name=\"etape\" value=1>");

	print("<input type=\"text\" value=\"".$nom."\" name=\"nom\" align=\"top\" maxlength=\"40\" size=\"40\">
			<input type=\"image\" alt=\"nom\" src=\"bouton0.gif\" border=0 width=15 height=24>
			</form>");
	print ("<td></td>");
	print("</div></td></tr><tr><td>");

	// compte budg&eacute;taire

	print ("<b>Poste budg&eacute;taire:</b>");
	print("</td><td><div align=right>");

	print ("<form action=\"ref1postes.php?Bsession_id=".$_GET['Bsession_id']."\" method=\"post\" name=\"mod_poste\"> 
		    <input type=\"hidden\" name=\"Bsession_id\" value=".$_GET['Bsession_id'].">
		    <input type=\"hidden\" name=\"num_poste\" value=".$num_poste.">
		    <input type=\"hidden\" name=\"mod\" value=O>
		    <input type=\"hidden\" name=\"etape\" value=1>");

	print("<input type=\"text\" value=\"".$compte_budget."\" name=\"compte_budget\" align=\"top\" maxlength=\"10\" size=\"10\">");
		
	print ("<input type=\"image\" alt=\"compte_budget\" src=\"bouton0.gif\" border=0 width=15 height=24></form>");
	print ("<td></td>");
	print("</div></td></tr><tr><td>");

	// description

	print ("<b>Description:</b>");
	print("</td><td><div align=right>");

	print ("<form action=\"ref1postes.php?Bsession_id=".$_GET['Bsession_id']."\" method=\"post\" name=\"mod_desc\"> 
		    <input type=\"hidden\" name=\"Bsession_id\" value=".$_GET['Bsession_id'].">
		    <input type=\"hidden\" name=\"num_poste\" value=".$num_poste.">
		    <input type=\"hidden\" name=\"mod\" value=O>
		    <input type=\"hidden\" name=\"etape\" value=1>");

	print("<input type=\"text\" value=\"".$description."\" name=\"description\" align=\"top\" maxlength=\"60\" size=\"60\">");		

	print ("<input type=\"image\" alt=\"description\" src=\"bouton0.gif\" border=0 width=15 height=24></form>");
	print ("<td></td>");
	print("</div></td></tr><tr><td>");

	// actif

	print ("<b>Actif:</b>");
	print("</td><td><div align=right>");

	print ("<form action=\"ref1postes.php?Bsession_id=".$_GET['Bsession_id']."\" method=\"post\" name=\"mod_actif\"> 
		    <input type=\"hidden\" name=\"Bsession_id\" value=".$_GET['Bsession_id'].">
		    <input type=\"hidden\" name=\"num_poste\" value=".$num_poste.">
		    <input type=\"hidden\" name=\"mod\" value=O>
		    <input type=\"hidden\" name=\"etape\" value=1>");

	print ("<select name=\"actif\">
			  <option value=\"".$actif."\">".$actif."</option>
			  <option value=\"N\">Non</option>
			  <option value=\"O\">Oui</option>
		    </select>");
	print ("<input type=\"image\" alt=\"actif\" src=\"bouton0.gif\" border=0 width=15 height=24></form>");
	print ("<td><b>O</b>ui/<b>N</b>on)</td>");
	print("</div></td></tr><tr><td>");

	// montant

	print ("<b>Montant:</b>");

	print("</td><td><div align=right>");

	print("<form action=\"ref1postes.php?Bsession_id=".$_GET['Bsession_id']."\" method=\"post\" name=\"mod_montant\"> 
		<input type=\"hidden\" name=\"Bsession_id\" value=".$_GET['Bsession_id'].">
	    <input type=\"hidden\" name=\"num_poste\" value=".$num_poste.">
		<input type=\"hidden\" name=\"mod\" value=O>
		<input type=\"hidden\" name=\"etape\" value=1>");

	print("<input type=\"text\" value=\"".$montant."\" name=\"montant\" align=\"top\" maxlength=\"20\" size=\"20\">
			<input type=\"image\" alt=\"compte_budget\" src=\"bouton0.gif\" border=0 width=15 height=24>
			</form>");

	print("</div></td></tr></table>");

//*****************************************************************************************************
// Bas de page 
//*****************************************************************************************************
	print ("<br>");
	print ("<hr><br>");
// Boutons pour les renvois vers d'autres pages
	print("<table border=0 width=100%>");
   		print("<td width=45% align=right>"); // afiche le bouton de retour &agrave; la gestion des postes
		print("<form action="\ref1postes.php?Bsession_id=".$_GET['Bsession_id']."\" method=post>");
	   			print("<input type=hidden name=Bsession_id value=$Bsession_id>");
	   			print("<input type=hidden name=etape value=0>");
	   			print("<input type=submit name=back value=\"Gestion des postes\">");
	    print("</form>");
	print("</td>");
	print("<td width=5% align=center>"."&nbsp"."</td>"); //Espacement
	print("<td width=45% align=left>"); //Afficher le bouton de retour au menu principal.
		print("<form action="\../menu-base.php?Bsession_id=".$_GET['Bsession_id']."\" method=post>");  
	   		 	print("<input type=hidden name=Bsession_id value=$session_id>");
	  		 	print("<input type=submit name=back value=\"    Menu Principal    \">");
		print("</form>");
	print("</td>");
	print ("</table>");
	}

// *****************************************************************************************************
// &eacute;tape 2 *********************************************************************************************
// demande les info pour cr&eacute;er la branche **************************************************************
// *****************************************************************************************************
if ($etape == 2)
{
	print ("<div align=\"center\"><u><b><font size=\"+2\">Nouveau poste</font></b></u></div>");
	print("<p>");

	print ("<form action=\"ref1postes.php?Bsession_id=".$_GET['Bsession_id']."\" method=\"post\" name=\"creation\"> 
			<input type=\"hidden\" name=\"Bsession_id\" value=".$_GET['Bsession_id'].">
			<input type=\"hidden\" name=\"etape\" value=3>");

	print("<table width=350>");

	print("<tr><td><b>");
	print ("<b>Nom</b>");
	print("</b></td><td><div align=right>");
	print("<input type=\"text\" value=\"".$nom."\" name=\"nom\" align=\"top\" maxlength=\"40\" size=\"40\">");
	print("</div></td></tr>");

	print ("<tr><td>");	
	print ("<b>Poste budg&eacute;taire</b></td>");
	print ("<td><div align=right>");
	print("<input type=\"text\" value=\"".$compte_budget."\" name=\"compte_budget\" align=\"top\" maxlength=\"10\" size=\"10\">");
	print("</div></td></tr><tr>");

	print ("<tr><td>");	
	print ("<b>Description</b></td>");
	print ("<td><div align=right>");
	print("<input type=\"text\" value=\"".$description."\" name=\"description\" align=\"top\" maxlength=\"60\" size=\"60\">");	
	print("</div></td></tr><tr>");

	print("<tr><td><b>");
	print ("<b>Montant:</b>");
	print("</b></td><td><div align=right>");
	print("<input type=\"text\" value=\"".$montant."\" name=\"montant\" align=\"top\" maxlength=\"20\" size=\"20\">");
	print("</div></td></tr>");

	print ("<tr><td>");	
	print ("<b>Actif</b></td>");
	print ("<td><div align=right>");
	print ("<select name=\"actif\">
			  <option value=\"O\">Oui</option>
			  <option value=\"N\">Non</option>
			</select>");
	print("</div></td></tr><tr>");
	
	print ("<td>&nbsp;</td><td><br>");
	print("<div align=right><input type='submit' value='Soumettre'></div>");

	//<input type=\"image\" alt=\"etape3\" src=\"bouton0.gif\" border=0 width=15 height=24>
	print("</td></tr></table></form>");

//	pageDebug("&Eacute;tape 2");
}

//FIXME: Un reload ajoute une seconde fois les informations !
// *****************************************************************************************************
// &eacute;tape 3 *********************************************************************************************
// cr&eacute;e le secteur dans la table ref1branche ***********************************************************
// *****************************************************************************************************
if ($etape == 3)
{
	print ("<div align=\"center\"><b>Poste cr&eacute;&eacute;e avec succ&egrave;s</b></div>");
	print("<p>");

	// mettre les info dans la table ref1postes
	$sql = "insert into base_poste 
		    set nom = '$nom',
			    compte_budget = '$compte_budget',
				description = '$description',
				actif = '$actif',
				montant = '$montant',
				mis_a_jour = now();";

	$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) 
		or die("Ne peut faire l'ajout!<br>".$sql);

	$sql = "select base_poste.num_poste
			from base_poste
			where base_poste.nom = '$nom'
			  and base_poste.compte_budget = '$compte_budget'
			  and base_poste.description = '$description'
			  and base_poste.montant = '$montant';";

	$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die("Ne peut lire dans ref1postes!<br>".$sql);
	$row = mysqli_fetch_row($result);
	$num_poste = ($row[0]);

	print("&nbsp;<p><center><table width=80%><tr><td><center>");
	
// consulter le poste
		print("<form action="\ref1postes.php?Bsession_id=".$_GET['Bsession_id']."\" method=post>");
	   			print("<input type=hidden name=Bsession_id value=$Bsession_id>");
	   			print("<input type=hidden name=etape value=1>");
	   			print("<input type=hidden name=num_poste value=$num_poste>");
	   			print("<input type=submit name=back value=\"Consulter le poste\">");
	    print("</form>");

	print("</center></td><td><center>");
// ajouter un poste
	print("<form action="\ref1postes.php?Bsession_id=".$_GET['Bsession_id']."\" method=post>");
   			print("<input type=hidden name=Bsession_id value=$Bsession_id>");
   			print("<input type=hidden name=etape value=2>");
   			print("<input type=submit name=back value=\"Cr&eacute;er un nouveau poste\">");
    print("</form>");

	print("</center></td><td><center>");
// retour au menu pricipal
		print("<form action="\../menu-base.php?Bsession_id=".$_GET['Bsession_id']."\" method=post>");
	   			print("<input type=hidden name=Bsession_id value=$Bsession_id>");
	   			print("<input type=submit name=back value=\"  Gestion menu Principal \">");
	    print("</form>");
	print("</center></td></tr></table></center>");
	
}
?>

</body>
</html>
